Pliugin errors

    • OMV 3.x
    • Resolved
    • Pliugin errors

      Sorry the title is somewhat vague, when I have installed a plugin or for that matter an update the output always seems to end with >>>>>>>>>>>Error>>>>>>> a number of times, looking in the logs, particularly history I see this Error: sub process /usr/bin/dpkg/ returned an error code (1)


      Now usually I have done apt install -f to correct, but looking in both the history and terminal logs these seems to go back to the vb extension pack installer and the error has then impacted on anything else I have updated or installed.

      History Log

      Source Code

      1. Start-Date: 2017-08-23 08:06:22
      2. Commandline: apt-get --yes --force-yes --fix-missing --auto-remove --allow-unauthenticated --show-upgraded --option DPkg::Options::=--force-confold install emby-server libxml2 openmediavault-virtualbox
      3. Upgrade: emby-server:amd64 (3.2.27.0-0+50.1, 3.2.28.0-0+51.1), openmediavault-virtualbox:amd64 (3.0.7, 3.0.8), libxml2:amd64 (2.9.1+dfsg1-5+deb8u4, 2.9.1+dfsg1-5+deb8u5)
      4. Error: Sub-process /usr/bin/dpkg returned an error code (1)
      5. End-Date: 2017-08-23 08:06:41
      6. Start-Date: 2017-08-26 15:21:22
      7. Commandline: apt-get --yes --force-yes --fix-missing --allow-unauthenticated --reinstall install openmediavault-resetperms
      8. Install: openmediavault-resetperms:amd64 (3.3)
      9. Error: Sub-process /usr/bin/dpkg returned an error code (1)
      10. End-Date: 2017-08-26 15:21:38
      Display All

      Extract from terminal log. The errors occur during any update and any new plugin added.

      Source Code

      1. Installation of "Oracle VM VirtualBox Extension Pack" aborted.
      2. dpkg: error processing package virtualbox-ext-pack-installer (--configure):
      3. subprocess installed post-installation script returned error exit status 1
      4. dpkg: dependency problems prevent configuration of openmediavault-virtualbox:
      5. openmediavault-virtualbox depends on virtualbox-ext-pack | virtualbox-ext-pack-installer; however:
      6. Package virtualbox-ext-pack is not installed.
      7. Package virtualbox-ext-pack-installer is not configured yet.
      8. dpkg: error processing package openmediavault-virtualbox (--configure):
      9. dependency problems - leaving unconfigured
      10. Setting up openmediavault-resetperms (3.3) ...
      11. Processing triggers for openmediavault (3.0.87) ...
      12. Updating locale files ...
      13. Updating file permissions ...
      14. Purging internal cache ...
      15. Restarting engine daemon ...
      16. Errors were encountered while processing:
      17. virtualbox-ext-pack-installer
      18. openmediavault-virtualbox
      19. Log ended: 2017-08-26 15:21:38
      Display All
    • I seem to have fixed this, still not sure how, went back to this thread and read through the whole thing again. Uninstalled virtual-box, did apt-clean and then a reboot.

      My issue was related to the ext-pack, one of the options was to remove old headers as stated in the original thread, now when I have done this previously from cli it's been apt-get autoremove when I ran this I got; 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded, followed by 1 not fully installed or removed, it then proceeded to install vb ext pack, when it got to the licence I decided to answer yes....and it installed successfully.

      So back to the GUI and installed the vb plugin....success, no errors, enabled and pointed vb to the shared folder for the virtual machines, that was Ok.

      So, did another apt-clean then rebooted, decided to install a plugin which I would not use, chose minidlna, this completed without the continuous >>>>>>>>>>>>>>>Error>>>>>>>>>>>>>>> at the end and finished with usual Done! So I uninstalled it, apt-clean, reboot, tested VB which is working!! :thumbup: :thumbup:
    • Users Online 1

      1 Guest